Page MenuHomePhabricator

Show 'Suggestions' tab when the In-progress list is empty in ContentTranslation
Closed, ResolvedPublic

Description

When there is no article on "In progress" tab in CX's dashboard, default tab (when coming directly to Special:ContentTranslation or from usual entry points) should be "Suggestions". It should inspire editors to pick some article and translate it. If there is at least one article on "In progress" tab, should be showed this to finish and publish it.

Split from T112822, which was done with a different scope.

Event Timeline

Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Oct 15 2015, 7:37 AM
KuboF removed a subscriber: KuboF.Apr 20 2016, 10:28 AM
Pginer-WMF removed santhosh as the assignee of this task.Jul 5 2019, 7:37 AM
Pginer-WMF added a subscriber: santhosh.

Change 526510 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Show Suggestions list when there are no drafts

https://gerrit.wikimedia.org/r/526510

Change 526510 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Show Suggestions list when there are no drafts

https://gerrit.wikimedia.org/r/526510

Jpita closed this task as Resolved.Aug 8 2019, 9:58 PM